Resource

Incident SLA

Track SLA status and deadlines for incidents

The Incident SLA Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    incident
    Type
    Incident
    Description

    The incident this SLA record is tracking

  • Name
    incidentId
    Type
    Object IDRequired
    Description

    ID of the incident this SLA record is tracking

  • Name
    incidentSlaRule
    Type
    Incident SLA Rule
    Description

    The SLA rule that was applied to this incident

  • Name
    incidentSlaRuleId
    Type
    Object IDRequired
    Description

    ID of the SLA rule that was applied to this incident

  • Name
    responseDeadline
    Type
    Date
    Description

    The deadline by which the incident must be acknowledged to meet the SLA

  • Name
    resolutionDeadline
    Type
    Date
    Description

    The deadline by which the incident must be resolved to meet the SLA

  • Name
    status
    Type
    TextRequired
    Description

    Current SLA status (On Track, At Risk, Breached, Met)

  • Name
    respondedAt
    Type
    Date
    Description

    The actual time when the incident was acknowledged

  • Name
    resolvedAt
    Type
    Date
    Description

    The actual time when the incident was resolved

  • Name
    lastInternalNoteReminderSentAt
    Type
    Date
    Description

    The last time an internal note reminder was sent

  • Name
    lastPublicNoteReminderSentAt
    Type
    Date
    Description

    The last time a public note reminder was sent

  • Name
    breachNotificationSentAt
    Type
    Date
    Description

    The time when breach notification was sent to incident owners

  • Name
    slaStartedAt
    Type
    DateRequired
    Description

    The time when SLA tracking started (usually the incident declaredAt time)

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/incident-sla/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident SLA. By default, a maximum of ten Incident SLA are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-sla/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentId": true,
    "incidentSlaRuleId": true,
    "projectId": true,
    "slaStartedAt": true,
    "status": true
  },
  "query": {
    "status": "Example status"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3771b8c3-28fe-11f1-b591-3fdcef396aba",
      "incidentId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentSlaRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "slaStartedAt": "2024-01-15T10:30:00.000Z",
      "status": "Example status"
    },
    {
      "_id": "3771b8c4-28fe-11f1-b591-3fdcef396aba",
      "incidentId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentSlaRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "slaStartedAt": "2024-01-15T10:30:00.000Z",
      "status": "Example status"
    },
    {
      "_id": "3771b8c5-28fe-11f1-b591-3fdcef396aba",
      "incidentId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentSlaRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "slaStartedAt": "2024-01-15T10:30:00.000Z",
      "status": "Example status"
    }
  ]
}
GETorPOST/api/incident-sla/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident SLA by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-sla/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentId": true,
    "incidentSlaRuleId": true,
    "projectId": true,
    "slaStartedAt": true,
    "status": true
  }
}

Response

{
  "_id": "3771b8c3-28fe-11f1-b591-3fdcef396aba",
  "incidentId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentSlaRuleId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "slaStartedAt": "2024-01-15T10:30:00.000Z",
  "status": "Example status"
}
POST/api/incident-sla/count

Count

This endpoint allows you to retrieve the count of all your Incident SLA.

Optional Request Body

Count Request

POST
/api/incident-sla/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Example status"
  }
}

Response

{
  "count": 107
}
POST/api/incident-sla

Create Incident SLA

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-sla
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentId": "550e8400-e29b-41d4-a716-446655440000",
    "incidentSlaRuleId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "slaStartedAt": "2024-01-15T10:30:00.000Z",
    "status": "Example status"
  }
}

Response

{
  "_id": "3771b8c3-28fe-11f1-b591-3fdcef396aba",
  "incidentId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentSlaRuleId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "slaStartedAt": "2024-01-15T10:30:00.000Z",
  "status": "Example status"
}
PUT/api/incident-sla/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-sla/:id/update-item
GET/api/incident-sla/:id/update-item

Update Request

PUT
/api/incident-sla/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "status": "Example status",
    "breachNotificationSentAt": "2024-01-15T10:30:00.000Z",
    "lastInternalNoteReminderSentAt": "2024-01-15T10:30:00.000Z"
  }
}

Response

{}
DELETE/api/incident-sla/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-sla/:id/delete-item
GET/api/incident-sla/:id/delete-item

Delete Request

DELETE
/api/incident-sla/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident SLA

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident SLA
  • Read All Project Resources

Create Permissions

Required to create Incident SLA

  • Project Owner
  • Project Admin
  • Create Incident SLA

Update Permissions

Required to update Incident SLA

  • Project Owner
  • Project Admin
  • Edit Incident SLA

Delete Permissions

Required to delete Incident SLA

  • Project Owner
  • Project Admin
  • Delete Incident SLA